Summary: Sinclair ZX Spectrum emulator
Name: spectemu
Version: 0.94
Release: 1
Copyright: GPL
Group: Applications/Emulators
Source: http://www.inf.bme.hu/~mszeredi/spectemu/spectemu-0.94.tar.gz

%description
This package contains a 48k ZX-Spectrum emulator for Linux, with full
Z80 instruction set, comprehensive screen, sound and tape emulation,
and snapshot file saving and loading.

%prep
%setup

%build
./configure
make

%install
spectdir=/usr/local/share/spectemu
if test -e $spectdir/spectemu.cfg; then
  mv $spectdir/spectemu.cfg $spectdir/spectemu.cfg.orig
fi
make install
mv $spectdir/spectemu.cfg $spectdir/spectemu.cfg.tmpl

%post
spectdir=/usr/local/share/spectemu
if test ! -e $spectdir/spectemu.cfg; then
  cp $spectdir/spectemu.cfg.tmpl $spectdir/spectemu.cfg
fi

%files
%doc README COPYING ChangeLog TODO spectemu.lsm
/usr/local/bin/vgaspect
/usr/local/bin/xspect
/usr/local/man/man1/xspect.1
/usr/local/man/man1/vgaspect.1
/usr/local/share/spectemu/spectkey.gif
/usr/local/share/spectemu/specsinc.xpm
/usr/local/share/spectemu/example.cfg
/usr/local/share/spectemu/spectemu.cfg.tmpl

